package com.link.base.basic.controller;

import com.link.base.basic.model.ListOfValue;
import com.link.base.basic.service.ListOfValueImpService;
import com.link.core.basic.controller.BasicController;
import com.link.core.basic.model.CallParam;
import com.link.core.basic.service.BasicService;
import java.util.HashMap;
import java.util.Map;
import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/link/listOfValueImp"})
public class ListOfValueImpController extends BasicController<ListOfValue> {
   @Resource
   private ListOfValueImpService listOfValueImpService;
   private static final Logger logger = LogManager.getLogger(ListOfValueImpController.class);

   public BasicService<ListOfValue> getBasicService() throws Exception {
      return this.listOfValueImpService;
   }

   @RequestMapping(
      value = {"/check"},
      method = {RequestMethod.POST}
   )
   @ResponseBody
   public Map<String, Object> check(CallParam callParam, HttpSession session, HttpServletRequest request, HttpServletResponse response) {
      Map<String, Object> result = new HashMap();

      try {
         this.listOfValueImpService.runListOfValueCheck(callParam);
         result.put("success", true);
      } catch (Exception var7) {
         Exception e = var7;
         logger.error("ListOfValueImpController捕获异常: ", e);
         result.put("success", false);
         result.put("result", e.getMessage());
      }

      return result;
   }

   @RequestMapping(
      value = {"/listofvalImpInsert"},
      method = {RequestMethod.POST}
   )
   @ResponseBody
   public Map<String, Object> listofvalImpInsert(CallParam callParam, HttpSession session, HttpServletRequest request, HttpServletResponse response) {
      Map<String, Object> result = new HashMap();

      try {
         this.listOfValueImpService.runNewListOfValueImport(callParam);
         result.put("success", true);
      } catch (Exception var7) {
         Exception e = var7;
         logger.error("ListOfValueImpController捕获异常: ", e);
         result.put("success", false);
         result.put("result", e.getMessage());
      }

      return result;
   }
}
